{
    "$graph": [
        {
            "class": "CommandLineTool",
            "label": "gzip",
            "doc": "Compress files",
            "requirements": [
                {
                    "class": "InlineJavascriptRequirement"
                }
            ],
            "hints": [
                {
                    "class": "DockerRequirement",
                    "dockerPull": "ubuntu:18.04",
                    "id": "#ubuntu-docker.yml"
                }
            ],
            "inputs": [
                {
                    "type": [
                        "null",
                        "boolean"
                    ],
                    "inputBinding": {
                        "position": 1,
                        "prefix": "-d"
                    },
                    "id": "#gzip.cwl/d"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "position": 2
                    },
                    "id": "#gzip.cwl/file"
                }
            ],
            "stdout": "${\n    if (inputs.d){\n        return inputs.file.nameroot;\n    }else{\n        return inputs.file.basename + '.gz';\n    }\n}\n",
            "baseCommand": [
                "gzip",
                "-c"
            ],
            "id": "#gzip.cwl",
            "http://schema.org/author": [
                {
                    "class": "http://schema.org/Person",
                    "http://schema.org/identifier": "https://orcid.org/0000-0002-4108-5982",
                    "http://schema.org/email": "mailto:r78v10a07@gmail.com",
                    "http://schema.org/name": "Roberto Vera Alvarez"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "${\n  if (inputs.d){\n    return inputs.file.nameroot;\n  }else{\n    return inputs.file.basename + '.gz';\n  }\n}\n"
                    },
                    "id": "#gzip.cwl/output"
                }
            ]
        },
        {
            "class": "CommandLineTool",
            "label": "RSeQC-bam_stat",
            "doc": "RSeQC package provides a number of useful modules that can comprehensively evaluate high throughput sequence data especially RNA-seq data",
            "requirements": [
                {
                    "class": "InlineJavascriptRequirement"
                },
                {
                    "ramMax": "${\n    return inputs.ramMax ? inputs.ramMax : 1000\n}\n",
                    "class": "ResourceRequirement"
                }
            ],
            "hints": [
                {
                    "class": "DockerRequirement",
                    "dockerPull": "quay.io/biocontainers/rseqc:3.0.1--py37h516909a_1",
                    "id": "#rseqc-docker.yml"
                },
                {
                    "class": "SoftwareRequirement",
                    "packages": [
                        {
                            "package": "rseqc",
                            "version": [
                                "3.0.1"
                            ],
                            "specs": [
                                "https://anaconda.org/bioconda/rseqc"
                            ]
                        }
                    ],
                    "id": "#rseqc-bioconda.yml"
                }
            ],
            "inputs": [
                {
                    "type": "File",
                    "secondaryFiles": ".bai",
                    "inputBinding": {
                        "position": 1,
                        "prefix": "-i"
                    },
                    "id": "#rseqc-bam_stat.cwl/i"
                },
                {
                    "type": "string",
                    "id": "#rseqc-bam_stat.cwl/o"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "inputBinding": {
                        "position": 2,
                        "prefix": "-q"
                    },
                    "id": "#rseqc-bam_stat.cwl/q"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "doc": "Maximun the RAM in MB",
                    "id": "#rseqc-bam_stat.cwl/ramMax"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "id": "#rseqc-bam_stat.cwl/output",
                    "outputBinding": {
                        "glob": "$(inputs.o)"
                    }
                }
            ],
            "stdout": "$(inputs.o)",
            "baseCommand": [
                "bam_stat.py"
            ],
            "id": "#rseqc-bam_stat.cwl",
            "http://schema.org/author": [
                {
                    "class": "http://schema.org/Person",
                    "http://schema.org/identifier": "https://orcid.org/0000-0002-4108-5982",
                    "http://schema.org/email": "mailto:r78v10a07@gmail.com",
                    "http://schema.org/name": "Roberto Vera Alvarez"
                }
            ],
            "http://schema.org/codeRepository": "http://rseqc.sourceforge.net"
        },
        {
            "class": "CommandLineTool",
            "label": "RSeQC-infer_experiment",
            "doc": "RSeQC package provides a number of useful modules that can comprehensively evaluate high throughput sequence data especially RNA-seq data",
            "requirements": [
                {
                    "class": "InlineJavascriptRequirement"
                },
                {
                    "ramMax": "${\n    return inputs.ramMax ? inputs.ramMax : 1000\n}\n",
                    "class": "ResourceRequirement"
                }
            ],
            "hints": [
                {
                    "$import": "#rseqc-docker.yml"
                },
                {
                    "$import": "#rseqc-bioconda.yml"
                }
            ],
            "inputs": [
                {
                    "type": "File",
                    "secondaryFiles": ".bai",
                    "inputBinding": {
                        "position": 1,
                        "prefix": "-i"
                    },
                    "id": "#rseqc-infer_experiment.cwl/i"
                },
                {
                    "type": "string",
                    "id": "#rseqc-infer_experiment.cwl/o"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "inputBinding": {
                        "position": 4,
                        "prefix": "-q"
                    },
                    "id": "#rseqc-infer_experiment.cwl/q"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "position": 2,
                        "prefix": "-r"
                    },
                    "id": "#rseqc-infer_experiment.cwl/r"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "doc": "Maximun the RAM in MB",
                    "id": "#rseqc-infer_experiment.cwl/ramMax"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "inputBinding": {
                        "position": 3,
                        "prefix": "-s"
                    },
                    "id": "#rseqc-infer_experiment.cwl/s"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "id": "#rseqc-infer_experiment.cwl/output",
                    "outputBinding": {
                        "glob": "$(inputs.o)"
                    }
                }
            ],
            "stdout": "$(inputs.o)",
            "baseCommand": [
                "infer_experiment.py"
            ],
            "id": "#rseqc-infer_experiment.cwl",
            "http://schema.org/author": [
                {
                    "class": "http://schema.org/Person",
                    "http://schema.org/identifier": "https://orcid.org/0000-0002-4108-5982",
                    "http://schema.org/email": "mailto:r78v10a07@gmail.com",
                    "http://schema.org/name": "Roberto Vera Alvarez"
                }
            ],
            "http://schema.org/codeRepository": "http://rseqc.sourceforge.net"
        },
        {
            "class": "CommandLineTool",
            "label": "RSeQC-junction_annotation",
            "doc": "RSeQC package provides a number of useful modules that can comprehensively evaluate high throughput sequence data especially RNA-seq data",
            "requirements": [
                {
                    "class": "InlineJavascriptRequirement"
                },
                {
                    "ramMax": "${\n    return inputs.ramMax ? inputs.ramMax : 1000\n}\n",
                    "class": "ResourceRequirement"
                }
            ],
            "hints": [
                {
                    "$import": "#rseqc-docker.yml"
                },
                {
                    "$import": "#rseqc-bioconda.yml"
                }
            ],
            "inputs": [
                {
                    "type": "File",
                    "secondaryFiles": ".bai",
                    "inputBinding": {
                        "position": 1,
                        "prefix": "-i"
                    },
                    "id": "#rseqc-junction_annotation.cwl/i"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "inputBinding": {
                        "position": 3,
                        "prefix": "-m"
                    },
                    "id": "#rseqc-junction_annotation.cwl/m"
                },
                {
                    "type": "string",
                    "inputBinding": {
                        "position": 5,
                        "prefix": "-o"
                    },
                    "id": "#rseqc-junction_annotation.cwl/o"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "inputBinding": {
                        "position": 4,
                        "prefix": "-q"
                    },
                    "id": "#rseqc-junction_annotation.cwl/q"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "position": 2,
                        "prefix": "-r"
                    },
                    "id": "#rseqc-junction_annotation.cwl/r"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "doc": "Maximun the RAM in MB",
                    "id": "#rseqc-junction_annotation.cwl/ramMax"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.o).junction.bed"
                    },
                    "id": "#rseqc-junction_annotation.cwl/bed"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "File"
                    },
                    "outputBinding": {
                        "glob": "$(inputs.o)*.pdf"
                    },
                    "id": "#rseqc-junction_annotation.cwl/pdf"
                },
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.o).junction.xls"
                    },
                    "id": "#rseqc-junction_annotation.cwl/xls"
                }
            ],
            "baseCommand": [
                "junction_annotation.py"
            ],
            "id": "#rseqc-junction_annotation.cwl",
            "http://schema.org/author": [
                {
                    "class": "http://schema.org/Person",
                    "http://schema.org/identifier": "https://orcid.org/0000-0002-4108-5982",
                    "http://schema.org/email": "mailto:r78v10a07@gmail.com",
                    "http://schema.org/name": "Roberto Vera Alvarez"
                }
            ],
            "http://schema.org/codeRepository": "http://rseqc.sourceforge.net"
        },
        {
            "class": "CommandLineTool",
            "label": "RSeQC-junction_saturation",
            "doc": "RSeQC package provides a number of useful modules that can comprehensively evaluate high throughput sequence data especially RNA-seq data",
            "requirements": [
                {
                    "class": "InlineJavascriptRequirement"
                },
                {
                    "ramMax": "${\n    return inputs.ramMax ? inputs.ramMax : 1000\n}\n",
                    "class": "ResourceRequirement"
                }
            ],
            "hints": [
                {
                    "$import": "#rseqc-docker.yml"
                },
                {
                    "$import": "#rseqc-bioconda.yml"
                }
            ],
            "inputs": [
                {
                    "type": "File",
                    "secondaryFiles": ".bai",
                    "inputBinding": {
                        "position": 1,
                        "prefix": "-i"
                    },
                    "id": "#rseqc-junction_saturation.cwl/i"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "inputBinding": {
                        "position": 3,
                        "prefix": "-l"
                    },
                    "id": "#rseqc-junction_saturation.cwl/l"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "inputBinding": {
                        "position": 7,
                        "prefix": "-m"
                    },
                    "id": "#rseqc-junction_saturation.cwl/m"
                },
                {
                    "type": "string",
                    "inputBinding": {
                        "position": 3,
                        "prefix": "-o"
                    },
                    "id": "#rseqc-junction_saturation.cwl/o"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "inputBinding": {
                        "position": 4,
                        "prefix": "-q"
                    },
                    "id": "#rseqc-junction_saturation.cwl/q"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "position": 2,
                        "prefix": "-r"
                    },
                    "id": "#rseqc-junction_saturation.cwl/r"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "doc": "Maximun the RAM in MB",
                    "id": "#rseqc-junction_saturation.cwl/ramMax"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "inputBinding": {
                        "position": 6,
                        "prefix": "-s"
                    },
                    "id": "#rseqc-junction_saturation.cwl/s"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "inputBinding": {
                        "position": 5,
                        "prefix": "-u"
                    },
                    "id": "#rseqc-junction_saturation.cwl/u"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "inputBinding": {
                        "position": 8,
                        "prefix": "-v"
                    },
                    "id": "#rseqc-junction_saturation.cwl/v"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.o).junctionSaturation_plot.pdf"
                    },
                    "id": "#rseqc-junction_saturation.cwl/output"
                }
            ],
            "baseCommand": [
                "junction_saturation.py"
            ],
            "id": "#rseqc-junction_saturation.cwl",
            "http://schema.org/author": [
                {
                    "class": "http://schema.org/Person",
                    "http://schema.org/identifier": "https://orcid.org/0000-0002-4108-5982",
                    "http://schema.org/email": "mailto:r78v10a07@gmail.com",
                    "http://schema.org/name": "Roberto Vera Alvarez"
                }
            ],
            "http://schema.org/codeRepository": "http://rseqc.sourceforge.net"
        },
        {
            "class": "CommandLineTool",
            "label": "RSeQC-read_distribution",
            "doc": "RSeQC package provides a number of useful modules that can comprehensively evaluate high throughput sequence data especially RNA-seq data",
            "requirements": [
                {
                    "class": "InlineJavascriptRequirement"
                },
                {
                    "ramMax": "${\n    return inputs.ramMax ? inputs.ramMax : 1000\n}\n",
                    "class": "ResourceRequirement"
                }
            ],
            "hints": [
                {
                    "$import": "#rseqc-docker.yml"
                },
                {
                    "$import": "#rseqc-bioconda.yml"
                }
            ],
            "inputs": [
                {
                    "type": "File",
                    "secondaryFiles": ".bai",
                    "inputBinding": {
                        "position": 1,
                        "prefix": "-i"
                    },
                    "id": "#rseqc-read_distribution.cwl/i"
                },
                {
                    "type": "string",
                    "id": "#rseqc-read_distribution.cwl/o"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "position": 2,
                        "prefix": "-r"
                    },
                    "id": "#rseqc-read_distribution.cwl/r"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "doc": "Maximun the RAM in MB",
                    "id": "#rseqc-read_distribution.cwl/ramMax"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "id": "#rseqc-read_distribution.cwl/output",
                    "outputBinding": {
                        "glob": "$(inputs.o)"
                    }
                }
            ],
            "stdout": "$(inputs.o)",
            "baseCommand": [
                "read_distribution.py"
            ],
            "id": "#rseqc-read_distribution.cwl",
            "http://schema.org/author": [
                {
                    "class": "http://schema.org/Person",
                    "http://schema.org/identifier": "https://orcid.org/0000-0002-4108-5982",
                    "http://schema.org/email": "mailto:r78v10a07@gmail.com",
                    "http://schema.org/name": "Roberto Vera Alvarez"
                }
            ],
            "http://schema.org/codeRepository": "http://rseqc.sourceforge.net"
        },
        {
            "class": "CommandLineTool",
            "label": "RSeQC-read_quality",
            "doc": "RSeQC package provides a number of useful modules that can comprehensively evaluate high throughput sequence data especially RNA-seq data",
            "requirements": [
                {
                    "class": "InlineJavascriptRequirement"
                },
                {
                    "ramMax": "${\n    return inputs.ramMax ? inputs.ramMax : 18000\n}\n",
                    "class": "ResourceRequirement"
                }
            ],
            "hints": [
                {
                    "$import": "#rseqc-docker.yml"
                },
                {
                    "$import": "#rseqc-bioconda.yml"
                }
            ],
            "inputs": [
                {
                    "type": "File",
                    "secondaryFiles": ".bai",
                    "inputBinding": {
                        "position": 1,
                        "prefix": "-i"
                    },
                    "id": "#rseqc-read_quality.cwl/i"
                },
                {
                    "type": "string",
                    "inputBinding": {
                        "position": 2,
                        "prefix": "-o"
                    },
                    "id": "#rseqc-read_quality.cwl/o"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "inputBinding": {
                        "position": 4,
                        "prefix": "-q"
                    },
                    "id": "#rseqc-read_quality.cwl/q"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "inputBinding": {
                        "position": 3,
                        "prefix": "-r"
                    },
                    "id": "#rseqc-read_quality.cwl/r"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "doc": "Maximun the RAM in MB",
                    "id": "#rseqc-read_quality.cwl/ramMax"
                }
            ],
            "outputs": [
                {
                    "type": {
                        "type": "array",
                        "items": "File"
                    },
                    "outputBinding": {
                        "glob": "$(inputs.o)*.pdf"
                    },
                    "id": "#rseqc-read_quality.cwl/output"
                }
            ],
            "baseCommand": [
                "read_quality.py"
            ],
            "id": "#rseqc-read_quality.cwl",
            "http://schema.org/author": [
                {
                    "class": "http://schema.org/Person",
                    "http://schema.org/identifier": "https://orcid.org/0000-0002-4108-5982",
                    "http://schema.org/email": "mailto:r78v10a07@gmail.com",
                    "http://schema.org/name": "Roberto Vera Alvarez"
                }
            ],
            "http://schema.org/codeRepository": "http://rseqc.sourceforge.net"
        },
        {
            "class": "CommandLineTool",
            "label": "TPMCalculator",
            "doc": "TPMCalculator quantifies mRNA abundance directly from the alignments by parsing BAM files",
            "requirements": [
                {
                    "class": "InlineJavascriptRequirement"
                },
                {
                    "ramMax": "${\n    return inputs.ramMax ? inputs.ramMax : 2000\n}\n",
                    "ramMin": 2000,
                    "class": "ResourceRequirement"
                }
            ],
            "hints": [
                {
                    "class": "DockerRequirement",
                    "dockerPull": "quay.io/biocontainers/tpmcalculator:0.0.3--h7376a40_1",
                    "id": "#tpmcalculator-docker.yml"
                },
                {
                    "class": "SoftwareRequirement",
                    "packages": [
                        {
                            "package": "tpmcalculator",
                            "version": [
                                "0.0.3"
                            ],
                            "specs": [
                                "https://anaconda.org/bioconda/tpmcalculator"
                            ]
                        }
                    ],
                    "id": "#tpmcalculator-bioconda.yml"
                }
            ],
            "inputs": [
                {
                    "type": [
                        "null",
                        "boolean"
                    ],
                    "inputBinding": {
                        "position": 3,
                        "prefix": "-a"
                    },
                    "id": "#tpmcalculator.cwl/a"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "position": 2,
                        "prefix": "-b"
                    },
                    "doc": "BAM file\n",
                    "id": "#tpmcalculator.cwl/b"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "inputBinding": {
                        "position": 3,
                        "prefix": "-c"
                    },
                    "doc": "Smaller size allowed for an intron created for genes. Default: 16. We recommend to use the reads length\n",
                    "id": "#tpmcalculator.cwl/c"
                },
                {
                    "type": [
                        "null",
                        "boolean"
                    ],
                    "inputBinding": {
                        "position": 3,
                        "prefix": "-e"
                    },
                    "id": "#tpmcalculator.cwl/e"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "position": 1,
                        "prefix": "-g"
                    },
                    "doc": "GTF file\n",
                    "id": "#tpmcalculator.cwl/g"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "inputBinding": {
                        "position": 3,
                        "prefix": "-k"
                    },
                    "doc": "Gene key to use from GTF file. Default: gene_id\n",
                    "id": "#tpmcalculator.cwl/k"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "inputBinding": {
                        "position": 3,
                        "prefix": "-o"
                    },
                    "doc": "Minimum overlap between a reads and a feature. Default: 8.\n",
                    "id": "#tpmcalculator.cwl/o"
                },
                {
                    "type": [
                        "null",
                        "boolean"
                    ],
                    "inputBinding": {
                        "position": 3,
                        "prefix": "-p"
                    },
                    "doc": "Use only properly paired reads. Default: No. Recommended for paired-end reads.\n",
                    "id": "#tpmcalculator.cwl/p"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "inputBinding": {
                        "position": 3,
                        "prefix": "-q"
                    },
                    "doc": "Minimum MAPQ value to filter out reads. Default: 0. This value depends on the aligner MAPQ value.\n",
                    "id": "#tpmcalculator.cwl/q"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "doc": "Maximun the RAM in MB",
                    "id": "#tpmcalculator.cwl/ramMax"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "inputBinding": {
                        "position": 3,
                        "prefix": "-t"
                    },
                    "doc": "Transcript key to use from GTF file. Default: transcript_id\n",
                    "id": "#tpmcalculator.cwl/t"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.b.nameroot)_genes.ent"
                    },
                    "id": "#tpmcalculator.cwl/gene_ent"
                },
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.b.nameroot)_genes.out"
                    },
                    "id": "#tpmcalculator.cwl/gene_out"
                },
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.b.nameroot)_genes.uni"
                    },
                    "id": "#tpmcalculator.cwl/gene_uni"
                },
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.b.nameroot)_transcripts.ent"
                    },
                    "id": "#tpmcalculator.cwl/transcripts_ent"
                },
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.b.nameroot)_transcripts.out"
                    },
                    "id": "#tpmcalculator.cwl/transcripts_out"
                }
            ],
            "baseCommand": [
                "TPMCalculator",
                "-e"
            ],
            "id": "#tpmcalculator.cwl",
            "http://schema.org/author": [
                {
                    "class": "http://schema.org/Person",
                    "http://schema.org/identifier": "https://orcid.org/0000-0002-4108-5982",
                    "http://schema.org/email": "mailto:r78v10a07@gmail.com",
                    "http://schema.org/name": "Roberto Vera Alvarez"
                }
            ],
            "http://schema.org/codeRepository": "https://github.com/ncbi/TPMCalculator"
        },
        {
            "class": "Workflow",
            "doc": "This workflow retrieve SRA fastqc data and execute QC, alignment and quantification from TPMCalculator",
            "label": "rnaseq-alignment-quantification",
            "requirements": [
                {
                    "class": "InlineJavascriptRequirement"
                },
                {
                    "class": "ScatterFeatureRequirement"
                },
                {
                    "class": "StepInputExpressionRequirement"
                },
                {
                    "class": "SubworkflowFeatureRequirement"
                }
            ],
            "inputs": [
                {
                    "type": "File",
                    "secondaryFiles": ".bai",
                    "id": "#main/bam"
                },
                {
                    "type": "File",
                    "id": "#main/genome_bed"
                },
                {
                    "type": "File",
                    "id": "#main/genome_gtf"
                },
                {
                    "type": [
                        "null",
                        "boolean"
                    ],
                    "id": "#main/p"
                },
                {
                    "type": "int",
                    "id": "#main/q"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "id": "#main/ramMaxRSeQC"
                }
            ],
            "outputs": [
                {
                    "outputSource": "#main/bam_stat/output",
                    "type": "File",
                    "id": "#main/bam_stat_out"
                },
                {
                    "outputSource": "#main/infer_experiment/output",
                    "type": "File",
                    "id": "#main/experiment_out"
                },
                {
                    "outputSource": "#main/gzip_gene_ent/output",
                    "type": "File",
                    "id": "#main/gzip_gene_ent_out"
                },
                {
                    "outputSource": "#main/gzip_gene_out/output",
                    "type": "File",
                    "id": "#main/gzip_gene_out_out"
                },
                {
                    "outputSource": "#main/gzip_gene_uni/output",
                    "type": "File",
                    "id": "#main/gzip_gene_uni_out"
                },
                {
                    "outputSource": "#main/gzip_junction_annotation_bed/output",
                    "type": "File",
                    "id": "#main/gzip_junction_annotation_bed_out"
                },
                {
                    "outputSource": "#main/gzip_junction_annotation_xls/output",
                    "type": "File",
                    "id": "#main/gzip_junction_annotation_xls_out"
                },
                {
                    "outputSource": "#main/gzip_transcripts_ent/output",
                    "type": "File",
                    "id": "#main/gzip_transcripts_ent_out"
                },
                {
                    "outputSource": "#main/gzip_transcripts_out/output",
                    "type": "File",
                    "id": "#main/gzip_transcripts_out_out"
                },
                {
                    "outputSource": "#main/junction_annotation/pdf",
                    "type": {
                        "type": "array",
                        "items": "File"
                    },
                    "id": "#main/junction_annotation_pdf_out"
                },
                {
                    "outputSource": "#main/junction_saturation/output",
                    "type": "File",
                    "id": "#main/junction_saturation_out"
                },
                {
                    "outputSource": "#main/read_distribution/output",
                    "type": "File",
                    "id": "#main/read_distribution_out"
                },
                {
                    "outputSource": "#main/read_quality/output",
                    "type": {
                        "type": "array",
                        "items": "File"
                    },
                    "id": "#main/read_quality_out"
                }
            ],
            "steps": [
                {
                    "run": "#rseqc-bam_stat.cwl",
                    "in": [
                        {
                            "source": "#main/bam",
                            "id": "#main/bam_stat/i"
                        },
                        {
                            "valueFrom": "${ return inputs.i.nameroot.replace('.bam', '') + \"_rseqc.bam_stat.txt\";}",
                            "id": "#main/bam_stat/o"
                        },
                        {
                            "source": "#main/q",
                            "id": "#main/bam_stat/q"
                        }
                    ],
                    "out": [
                        "#main/bam_stat/output"
                    ],
                    "doc": "BAM stats\n",
                    "id": "#main/bam_stat"
                },
                {
                    "in": [
                        {
                            "source": "#main/quantification/gene_ent",
                            "id": "#main/gzip_gene_ent/file"
                        }
                    ],
                    "out": [
                        "#main/gzip_gene_ent/output"
                    ],
                    "run": "#gzip.cwl",
                    "id": "#main/gzip_gene_ent"
                },
                {
                    "in": [
                        {
                            "source": "#main/quantification/gene_out",
                            "id": "#main/gzip_gene_out/file"
                        }
                    ],
                    "out": [
                        "#main/gzip_gene_out/output"
                    ],
                    "run": "#gzip.cwl",
                    "id": "#main/gzip_gene_out"
                },
                {
                    "in": [
                        {
                            "source": "#main/quantification/gene_uni",
                            "id": "#main/gzip_gene_uni/file"
                        }
                    ],
                    "out": [
                        "#main/gzip_gene_uni/output"
                    ],
                    "run": "#gzip.cwl",
                    "id": "#main/gzip_gene_uni"
                },
                {
                    "run": "#gzip.cwl",
                    "in": [
                        {
                            "source": "#main/junction_annotation/bed",
                            "id": "#main/gzip_junction_annotation_bed/file"
                        }
                    ],
                    "out": [
                        "#main/gzip_junction_annotation_bed/output"
                    ],
                    "doc": "Gzip Bed file\n",
                    "id": "#main/gzip_junction_annotation_bed"
                },
                {
                    "run": "#gzip.cwl",
                    "in": [
                        {
                            "default": true,
                            "id": "#main/gzip_junction_annotation_xls/c"
                        },
                        {
                            "source": "#main/junction_annotation/xls",
                            "id": "#main/gzip_junction_annotation_xls/file"
                        },
                        {
                            "valueFrom": "${ return inputs.file.basename + \".gz\";}",
                            "id": "#main/gzip_junction_annotation_xls/outFileName"
                        }
                    ],
                    "out": [
                        "#main/gzip_junction_annotation_xls/output"
                    ],
                    "doc": "Gzip XLS file\n",
                    "id": "#main/gzip_junction_annotation_xls"
                },
                {
                    "in": [
                        {
                            "source": "#main/quantification/transcripts_ent",
                            "id": "#main/gzip_transcripts_ent/file"
                        }
                    ],
                    "out": [
                        "#main/gzip_transcripts_ent/output"
                    ],
                    "run": "#gzip.cwl",
                    "id": "#main/gzip_transcripts_ent"
                },
                {
                    "in": [
                        {
                            "source": "#main/quantification/transcripts_out",
                            "id": "#main/gzip_transcripts_out/file"
                        }
                    ],
                    "out": [
                        "#main/gzip_transcripts_out/output"
                    ],
                    "run": "#gzip.cwl",
                    "id": "#main/gzip_transcripts_out"
                },
                {
                    "run": "#rseqc-infer_experiment.cwl",
                    "in": [
                        {
                            "source": "#main/bam",
                            "id": "#main/infer_experiment/i"
                        },
                        {
                            "valueFrom": "${ return inputs.i.nameroot.replace('.bam', '') + \"_rseqc.infer_experiment.txt\";}",
                            "id": "#main/infer_experiment/o"
                        },
                        {
                            "source": "#main/q",
                            "id": "#main/infer_experiment/q"
                        },
                        {
                            "source": "#main/genome_bed",
                            "id": "#main/infer_experiment/r"
                        }
                    ],
                    "out": [
                        "#main/infer_experiment/output"
                    ],
                    "doc": "Infering Experiment\n",
                    "id": "#main/infer_experiment"
                },
                {
                    "run": "#rseqc-junction_annotation.cwl",
                    "in": [
                        {
                            "source": "#main/bam",
                            "id": "#main/junction_annotation/i"
                        },
                        {
                            "valueFrom": "${ return inputs.i.nameroot.replace('.bam', '') + \"_rseqc\";}",
                            "id": "#main/junction_annotation/o"
                        },
                        {
                            "source": "#main/q",
                            "id": "#main/junction_annotation/q"
                        },
                        {
                            "source": "#main/genome_bed",
                            "id": "#main/junction_annotation/r"
                        }
                    ],
                    "out": [
                        "#main/junction_annotation/bed",
                        "#main/junction_annotation/xls",
                        "#main/junction_annotation/pdf"
                    ],
                    "doc": "Junction annotation\n",
                    "id": "#main/junction_annotation"
                },
                {
                    "run": "#rseqc-junction_saturation.cwl",
                    "in": [
                        {
                            "source": "#main/bam",
                            "id": "#main/junction_saturation/i"
                        },
                        {
                            "valueFrom": "${ return inputs.i.nameroot.replace('.bam', '') + \"_rseqc\";}",
                            "id": "#main/junction_saturation/o"
                        },
                        {
                            "source": "#main/q",
                            "id": "#main/junction_saturation/q"
                        },
                        {
                            "source": "#main/genome_bed",
                            "id": "#main/junction_saturation/r"
                        }
                    ],
                    "out": [
                        "#main/junction_saturation/output"
                    ],
                    "doc": "Junction saturation\n",
                    "id": "#main/junction_saturation"
                },
                {
                    "run": "#tpmcalculator.cwl",
                    "label": "tpmcalculator",
                    "in": [
                        {
                            "default": true,
                            "id": "#main/quantification/a"
                        },
                        {
                            "source": "#main/bam",
                            "id": "#main/quantification/b"
                        },
                        {
                            "default": true,
                            "id": "#main/quantification/e"
                        },
                        {
                            "source": "#main/genome_gtf",
                            "id": "#main/quantification/g"
                        },
                        {
                            "source": "#main/p",
                            "id": "#main/quantification/p"
                        },
                        {
                            "source": "#main/q",
                            "id": "#main/quantification/q"
                        }
                    ],
                    "out": [
                        "#main/quantification/gene_ent",
                        "#main/quantification/gene_out",
                        "#main/quantification/gene_uni",
                        "#main/quantification/transcripts_ent",
                        "#main/quantification/transcripts_out"
                    ],
                    "id": "#main/quantification"
                },
                {
                    "run": "#rseqc-read_distribution.cwl",
                    "in": [
                        {
                            "source": "#main/bam",
                            "id": "#main/read_distribution/i"
                        },
                        {
                            "valueFrom": "${ return inputs.i.nameroot.replace('.bam', '') + \"_rseqc.read_distribution.txt\";}",
                            "id": "#main/read_distribution/o"
                        },
                        {
                            "source": "#main/genome_bed",
                            "id": "#main/read_distribution/r"
                        }
                    ],
                    "out": [
                        "#main/read_distribution/output"
                    ],
                    "doc": "Read distribution\n",
                    "id": "#main/read_distribution"
                },
                {
                    "run": "#rseqc-read_quality.cwl",
                    "in": [
                        {
                            "source": "#main/bam",
                            "id": "#main/read_quality/i"
                        },
                        {
                            "valueFrom": "${ return inputs.i.nameroot.replace('.bam', '') + \"_rseqc\";}",
                            "id": "#main/read_quality/o"
                        },
                        {
                            "source": "#main/q",
                            "id": "#main/read_quality/q"
                        },
                        {
                            "source": "#main/ramMaxRSeQC",
                            "id": "#main/read_quality/ramMax"
                        }
                    ],
                    "out": [
                        "#main/read_quality/output"
                    ],
                    "doc": "Read quality\n",
                    "id": "#main/read_quality"
                }
            ],
            "id": "#main",
            "http://schema.org/author": [
                {
                    "class": "http://schema.org/Person",
                    "http://schema.org/identifier": "https://orcid.org/0000-0002-4108-5982",
                    "http://schema.org/email": "mailto:r78v10a07@gmail.com",
                    "http://schema.org/name": "Roberto Vera Alvarez"
                }
            ]
        }
    ],
    "cwlVersion": "v1.0",
    "$schemas": [
        "https://schema.org/version/latest/schemaorg-current-http.rdf"
    ],
    "$namespaces": {
        "s": "http://schema.org/"
    }
}
